.webcast-content
  .webcast-content-section
    .webcast-video-container.margin-bottom50
      %h3 Enjoy the webcast!
      .iframe-container
        %iframe{allow: "autoplay; encrypted-media", allowfullscreen: "", frameborder: "0", src: "#{youtube_url}"}

    .form-container
      %h3.margin-top0 #{webcasttitle}
      .form
        %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
        %form{id: "mktoForm_#{formid}"}
        :javascript
          var formNumber = #{formid || 'null'};
          MktoForms2.setOptions(
          {
            formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
          });
          MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", formNumber, function(form) {
            let formHasFormBeenFocused = false;
            form.onValidate(function(){
              if(formHasFormBeenFocused == false){
                dataLayer.push({
                  'event' : 'demo', 
                  'mktoFormId' : form.getId(),
                  'eventCallback' : function(){},
                  'eventTimeout' : 3000
                });
                formHasFormBeenFocused = true;
                return false;
              };
            });

            form.onSuccess(function() {
              dataLayer.push({
                'event' : 'webcasts', 
                'mktoFormId' : form.getId(),
                'eventCallback' : function()
                {
                  form.getFormElem().hide();
                  $('.webcast-video-container').css('display', 'block');
                  $('.confirmform').attr('style', 'visibility: visible');
                  $('.confirmform').attr('style', 'height: initial');
                }, 'eventTimeout' : 3000
              });
              return false;
            });
          });
        .confirmform{style: "visibility:hidden;height:0;"}
          .centered-form-info
            %p Thank you for registering.
